package test.client;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.FlowPanel;
import com.google.gwt.user.client.ui.Grid;
import com.google.gwt.user.client.ui.InlineLabel;
import com.google.gwt.user.client.ui.RootPanel;
import com.google.gwt.user.client.ui.ScrollPanel;
import com.google.gwt.user.client.ui.TabPanel;
import com.google.gwt.user.client.ui.RichTextArea;
import com.google.gwt.user.client.ui.TextBox;

public class Page implements EntryPoint {
	public void onModuleLoad() {
		final TextBox tb1 = new TextBox();
		final TextBox tb2 = new TextBox();
		final TextBox tb3 = new TextBox();
		final Button addbtn = new Button("Add");
        addbtn.addClickHandler(new ClickHandler() {
        	public void onClick(ClickEvent event) {
        		int v1 = Integer.parseInt(tb1.getText());
        		int v2 = Integer.parseInt(tb2.getText());
        		int v3 = v1 + v2;
        		tb3.setText(Integer.toString(v3));
        	}
        });
        final Grid addgrd = new Grid(4, 2);
        addgrd.setWidget(0, 0, new InlineLabel("First number: "));
		addgrd.setWidget(0, 1, tb1);
        addgrd.setWidget(1, 0, new InlineLabel("Second number: "));
		addgrd.setWidget(1, 1, tb2);
        addgrd.setWidget(2, 0, new InlineLabel("Result number: "));
		addgrd.setWidget(2, 1, tb3);
		addgrd.setWidget(3, 0, addbtn);
		final RichTextArea rta = new RichTextArea();
		final Button bldbtn = new Button("B");
		bldbtn.addClickHandler(new ClickHandler() {
        	public void onClick(ClickEvent event) {
        	    rta.getFormatter().toggleBold();
        	}
        });
		final Button itbtn = new Button("I");
		itbtn.addClickHandler(new ClickHandler() {
        	public void onClick(ClickEvent event) {
        	    rta.getFormatter().toggleItalic();
        	}
        });
		final FlowPanel flowp = new FlowPanel();
		flowp.add(new ScrollPanel(rta));
        flowp.add(bldbtn);
        flowp.add(itbtn);
		final TabPanel tabp = new TabPanel();
		tabp.add(addgrd, "Add");
		tabp.add(flowp, "Edit");
		tabp.selectTab(0);
		RootPanel.get("content").add(tabp);
	}
}
